Subject: bug#6234: 23.2; inhibit-startup-screen does not work in site-start.el

From: Stefan Vollmar <[email-masked]>
Date: Thu, 20 May 2010 21:20:56 +0200

Dear Chong,

On 20.05.2010, at 21:02, Chong Yidong wrote:

[...]

>> We tried to use initial-buffer-choice but this has an unwanted side
>> effet: the splashscreen no longer appears, however, dropping a file on
>> the Emacs icon no longer opens that file.
> 
> I can not reproduce this.  Can you provide a simple reproducible test
> case?  I tried with a .emacs file containing only the line
> 
>  (setq initial-buffer-choice t)
> 
> and dragging a file into the Emacs window (I don't know what you mean by
> "dropping a file on the Emacs icon") opens that file, as expected.
> However, this is on GNU/Linux.  It's possible that there is a bug in the
> Windows port; maybe someone else can check.

my description was not very precise, I am sorry. Here is what we did:

we have a site-start.el file in emacs-23.2/site-lisp which ends with

(find-file "~/untitled")

(1) That works fine if one uses inhibit-startup-screen in a personal .emacs file, or uses the "--no-splash" option with the icon shortcut (but this is not what you want for a ready-to-run distribution). 

(2) Our next attempt was to add

(setq initial-buffer-choice "~/untitled")

as a last line. Emacs, when started by a double-click on the icon shortcut, behaves exactly as requested by our Windows users and if we drop a file onto a running Emacs instance, that file is opened as expected (this is what you tested). 

If one creates an icon shortcut of a program on MS Windows, users expect that program to open files if they are dropped onto that icon shortcut. This works fine if (1) holds, but not for (2).

Warm regards,
 Stefan
-- 
Dr. Stefan Vollmar, Dipl.-Phys.
Head of IT group
Max-Planck-Institut für neurologische Forschung
Gleuelerstr. 50, 50931 Köln, Germany
Tel.: +49-221-4726-213  FAX +49-221-4726-298
Tel.: +49-221-478-5713  Mobile: 0160-93874279
Email: [email-masked]   http://www.nf.mpg.de